## gnats 4.1.0

=== contrib/tkgnats/Makefile ===
#################################################
#################################################
#### Section 1. Manual Configuration section ####
#################################################
#################################################

# WISHPROG can be a full path or just program name.
WISHPROG	= wish

# Set GNATS=network if you _are_ using the GNATS daemon "gnatsd".
# Set GNATS=local   if you're going to access disk files directly.
GNATS		= network

# Set CHECK_CFG=no if GNATS=local but GNATS is not actually installed yet.
CHECK_CFG	= yes

########## TkGnats installation locations

prefix		= /usr/local

########## tkgnats executable location
BINDIR		= $(prefix)/bin
########## tkgnats.1 man directory
MANDIR		= $(prefix)/man
########## TkGnats is installed here
TKGNATSLIB	= $(prefix)/share/tkgnats4

########## Existing GNATS installation locations (required if _not_ using GNATS daemon)

########## location of GNATS pr-edit/npr-edit programs
LIBEXECDIR	= $(prefix)/libexec
########## location of GNATS database
GNATS_ROOT	= $(prefix)/share/gnats/gnats-db

################################################################################
### If GNATS=network, the following variables are not used.                  ###
################################################################################

#SUBMITTER	= YourSubmitterSite
#GNATS_ADDR	= bugs@bugsrus.com
#GNATS_USER	= gnats


# include local overrides so that CVS stays pure.
-include Makefile.local

#########################################################################
#########################################################################
### Section 2. You shouldn't have to change anything below this point ###
#########################################################################
#########################################################################

VERSION		= tkgnats-4.0-beta1

MAKEPATH	= mkdir -p
SED		= sed

GNATS_ROOT_REPL =set TkGnats(GNATS_ROOT) $(GNATS_ROOT); \#\#GNATS_ROOT\#\#
GNATS_ROOT_SED  =-e "s,^.*\#\#GNATS_ROOT\#\#,$(GNATS_ROOT_REPL),"

SUBMITTER_REPL  =set TkGnats(SUBMITTER) $(SUBMITTER); \#\#SUBMITTER\#\#
SUBMITTER_SED	=-e "s,^.*\#\#SUBMITTER\#\#,$(SUBMITTER_REPL),"

GNATS_ADDR_REPL =set TkGnats(GNATS_ADDR) $(GNATS_ADDR); \#\#GNATS_ADDR\#\#
GNATS_ADDR_SED	=-e "s,^.*\#\#GNATS_ADDR\#\#,$(GNATS_ADDR_REPL),"

GNATS_USER_REPL =set TkGnats(GNATS_USER) $(GNATS_USER); \#\#GNATS_USER\#\#
GNATS_USER_SED	=-e "s,^.*\#\#GNATS_USER\#\#,$(GNATS_USER_REPL),"

LIBEXECDIR_REPL	=set TkGnats(GNATS_LIBEXECDIR) $(LIBEXECDIR); \#\#LIBEXECDIR\#\#
LIBEXECDIR_SED	=-e "s,^.*\#\#LIBEXECDIR\#\#,$(LIBEXECDIR_REPL),"

TKGNATSLIB_REPL =set TkGnats(lib) $(TKGNATSLIB); \#\#TKGNATSLIB\#\#
TKGNATSLIB_SED	=-e "s,^.*\#\#TKGNATSLIB\#\#,$(TKGNATSLIB_REPL),"

WISH_SED        =-e "3s,^exec wish ,exec $(WISHPROG) ,"

T_LIB	= _tlib
T_BIN	= _tbin

tkgnatsbin= \
 $(T_BIN)/tkgnats

xbmfiles= \
 $(T_LIB)/tkeditpr.xbm \
 $(T_LIB)/tkgnats.xbm \
 $(T_LIB)/tkquerypr.xbm \
 $(T_LIB)/tksendpr.xbm

tkgnatslib= \
 $(T_LIB)/tkgnats.config \
 $(T_LIB)/tkeditpr.tcl \
 $(T_LIB)/tkgnats.doc \
 $(T_LIB)/tkprdatesel.tcl \
 $(T_LIB)/tkpr_library.tcl \
 $(T_LIB)/tkprfolder.tcl \
 $(T_LIB)/tkprfont.tcl \
 $(T_LIB)/tkprhelp.tcl \
 $(T_LIB)/tkprprint.tcl \
 $(T_LIB)/tkprsort.tcl \
 $(T_LIB)/tkquerypr.tcl \
 $(T_LIB)/tksendpr.tcl \
 $(T_LIB)/tkviewpr.tcl \
 $(T_LIB)/CHANGES \
 $(T_LIB)/VERSION \
 $(xbmfiles)

manfiles= tkgnats.1

all: check_cfg dirs $(tkgnatslib) $(tkgnatsbin)

# WARNING: the tests below involving GNATS_ADDR and SUBMITTER
#          are very sensitive to having quotes (or not) with various
#          bourne/bash shells. Don't mess with them unless they
#          fail. They are the way they are to make it work for
#          /bin/sh on Solaris 2.5 and IRIX64 6.2 and bash on Linux.
#          This is all due to the nested backticks and single and double quotes.

check_cfg:
	@echo " "
	@cat VERSION
	@echo " "
	@if [ ! $(GNATS) = network -a $(CHECK_CFG) = yes ]; then \
	  rm -f /tmp/tkgnats.errors; \
	  echo "Checking the Makefile configuration variables for your GNATS setup..."; \
	  echo "---------------------------------------------------------------------"; \
	  echo " "; \
	  if [ ! -d $(LIBEXECDIR)/gnats ]; then \
	    echo "*** Error: Cannot find '$(LIBEXECDIR)/gnats'."; \
	    touch /tmp/tkgnats.errors; \
	  else \
	    echo \'$(LIBEXECDIR)\' is the configured path for GNATS LIBEXECDIR.; \
	  fi; \
	  if [ x$(SUBMITTER) = "x" ]; then \
	    echo "    Set SUBMITTER in this file to the name of your site. "; \
	    echo "    GNATS and TkGnats use it as your Submitter-Id."; \
	    touch /tmp/tkgnats.errors; \
	  else \
	    echo \'$(SUBMITTER)\' is the configured name for SUBMITTER.; \
	  fi; \
	  if [ x$(GNATS_ADDR) = "x" ]; then \
	    echo "    Set GNATS_ADDR in this file to the email address that gnats"; \
	    echo "    bugs are supposed to be sent to. It's probably missing due to"; \
	    echo "    an old bug in the GNATS installation Makefile."; \
	    touch /tmp/tkgnats.errors; \
	  else \
	    echo \'$(GNATS_ADDR)\' is the configured mail address for GNATS_ADDR.; \
	  fi; \
	  if [ x$(GNATS_USER) = "x" ]; then \
	    echo "    Set GNATS_USER in this file to the gnats administrator user id."; \
	    touch /tmp/tkgnats.errors; \
	  else \
	    echo \'$(GNATS_USER)\' is the configured user id for GNATS_USER.; \
	  fi; \
	  if [ -f /tmp/tkgnats.errors ]; then \
	    echo "*** Errors have been detected. Make aborted."; \
	    echo "*** If you don't have GNATS installed locally, run make with CHECK_CFG=no."; \
	    rm -f /tmp/tkgnats.errors; \
	    exit 1; \
	  fi; \
	  echo " "; \
	  echo "Done checking GNATS configuration."; \
	  echo "----------------------------------"; \
	  echo " "; \
	elif [ ! $(GNATS) = network ]; then \
	  echo "By-passed checking GNATS configuration."; \
	  echo "---------------------------------------"; \
	  echo " "; \
	  echo \'$(LIBEXECDIR)\' is the configured path for GNATS LIBEXECDIR.; \
	  echo \'$(SUBMITTER)\' is the configured name for SUBMITTER.; \
	  echo \'$(GNATS_ADDR)\' is the configured mail address for GNATS_ADDR.; \
	  echo \'$(GNATS_USER)\' is the configured user id for GNATS_USER.; \
	  echo " "; \
	fi

uninstall: uninstall_tkgnatsbin uninstall_tkgnatslib uninstall_man

uninstall_tkgnatsbin:
	for f in $(tkgnatsbin); do \
	    rm -if "$(BINDIR)/`basename $$f`"; \
	done

uninstall_tkgnatslib:
	for f in $(tkgnatslib); do \
	    rm -if "$(TKGNATSLIB)/`basename $$f`"; \
	done

uninstall_man:
	for f in $(manfiles); do \
	    rm -if $(MANDIR)/man1/$$f; \
	done

clean:
	rm -rf $(T_LIB) $(T_BIN) *~

dirs:
	@-$(MAKEPATH) $(T_LIB)
	@-$(MAKEPATH) $(T_BIN)

install: all install_tkgnatsbin install_tkgnatslib

install_tkgnatsbin:
	-$(MAKEPATH) $(BINDIR)
	cp -p $(T_BIN)/* $(BINDIR)/

install_tkgnatslib:
	-$(MAKEPATH) $(TKGNATSLIB)
	cp -p $(T_LIB)/* $(TKGNATSLIB)/
	-$(MAKEPATH) $(TKGNATSLIB)/print
	-$(MAKEPATH) $(TKGNATSLIB)/query
	-$(MAKEPATH) $(TKGNATSLIB)/sort
	cp -p `find print \( -type f -print \) -or \( -name CVS -prune \)` $(TKGNATSLIB)/print/
	cp -p `find query \( -type f -print \) -or \( -name CVS -prune \)` $(TKGNATSLIB)/query/
	cp -p `find sort \( -type f -print \) -or \( -name CVS -prune \)`  $(TKGNATSLIB)/sort/

install_man:
	-$(MAKEPATH) $(MANDIR)
	-$(MAKEPATH) $(MANDIR)/man1
	@chmod 664 $(manfiles)
	for f in $(manfiles); do \
	    cp -p $$f $(MANDIR)/man1/$$f; \
	done

$(T_BIN)/tkgnats: tkgnats Makefile
	$(SED) $(WISH_SED) $(TKGNATSLIB_SED) <tkgnats >$@
	@chmod 775 $@

$(T_LIB)/CHANGES: CHANGES
	cp -p CHANGES $@
	@chmod 664 $@

$(T_LIB)/VERSION: VERSION
	cp -p VERSION $@
	@chmod 664 $@

$(T_LIB)/tkeditpr.tcl: tkeditpr.tcl Makefile
	cp -p tkeditpr.tcl $@
	@chmod 664 $@

$(T_LIB)/tkviewpr.tcl: tkviewpr.tcl Makefile
	cp -p tkviewpr.tcl $@
	@chmod 664 $@

$(T_LIB)/tksendpr.tcl: tksendpr.tcl Makefile
	cp -p tksendpr.tcl $@
	@chmod 664 $@

$(T_LIB)/tkquerypr.tcl: tkquerypr.tcl Makefile
	cp -p tkquerypr.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprdatesel.tcl: tkprdatesel.tcl Makefile
	cp -p tkprdatesel.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprfolder.tcl: tkprfolder.tcl Makefile
	cp -p tkprfolder.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprfont.tcl: tkprfont.tcl Makefile
	cp -p tkprfont.tcl $@
	@chmod 664 $@

$(T_LIB)/tkpr_library.tcl: tkpr_library.tcl Makefile
	cp -p tkpr_library.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprprint.tcl: tkprprint.tcl Makefile
	cp -p tkprprint.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprsort.tcl: tkprsort.tcl Makefile
	cp -p tkprsort.tcl $@
	@chmod 664 $@

$(T_LIB)/tkprhelp.tcl: tkprhelp.tcl Makefile
	cp -p tkprhelp.tcl $@
	@chmod 664 $@

$(T_LIB)/tkgnats.doc: tkgnats.doc Makefile
	cp -p tkgnats.doc $@
	@chmod 664 $@

# Again, the following ugliness is intentional and works on Linux, Solaris 2.5 and IRIX64 6.2.

$(T_LIB)/tkgnats.config: tkgnats.config Makefile
	@if [ ! $(GNATS) = network ]; then \
	  tempsubm=$(SUBMITTER); \
	  tempsubmrepl="set TkGnats(SUBMITTER) $$tempsubm; \#\#SUBMITTER\#\#"; \
	  tempsubmsed='s,^.*\#\#SUBMITTER\#\#,'$$tempsubmrepl,; \
	  tempaddr=$(GNATS_ADDR); \
	  tempaddrrepl="set TkGnats(GNATS_ADDR) $$tempaddr; \#\#GNATS_ADDR\#\#"; \
	  tempaddrsed='s,^.*\#\#GNATS_ADDR\#\#,'$$tempaddrrepl,; \
	  tempuser=$(GNATS_USER); \
	  tempuserrepl="set TkGnats(GNATS_USER) $$tempuser; \#\#GNATS_USER\#\#"; \
	  tempusersed='s,^.*\#\#GNATS_USER\#\#,'$$tempuserrepl,; \
	  $(SED) $(LIBEXECDIR_SED) \
	      $(GNATS_ROOT_SED) \
	      -e "$$tempsubmsed" \
	      -e "$$tempaddrsed" \
	      -e "$$tempusersed" \
	     <tkgnats.config >$@; \
	  echo $(SED) $(LIBEXECDIR_SED) \
	      $(GNATS_ROOT_SED) \
	      -e "$$tempsubmsed" \
	      -e "$$tempaddrsed" \
	      -e "$$tempusersed" \
	     \<tkgnats.config \>$@; \
	else \
	  echo cp -p tkgnats.config $@; \
	  cp -p tkgnats.config $@; \
	fi;
	@chmod 664 $@

# The following was OK on my Linux system but failed on Solaris and IRIX64.

#$(T_LIB)/tkgnats.config: tkgnats.config Makefile
#	$(SED) $(LIBEXECDIR_SED) \
#	    $(GNATS_ROOT_SED) \
#	    $(SUBMITTER_SED) \
#	    $(GNATS_ADDR_SED) \
#	    $(GNATS_USER_SED) \
#	   <tkgnats.config >$@

$(T_LIB)/tkgnats.xbm: tkgnats.xbm Makefile
	cp -p tkgnats.xbm $@
	@chmod 664 $@

$(T_LIB)/tkquerypr.xbm: tkquerypr.xbm Makefile
	cp -p tkquerypr.xbm $@
	@chmod 664 $@

$(T_LIB)/tksendpr.xbm: tksendpr.xbm Makefile
	cp -p tksendpr.xbm $@
	@chmod 664 $@

$(T_LIB)/tkeditpr.xbm: tkeditpr.xbm Makefile
	cp -p tkeditpr.xbm $@
	@chmod 664 $@

package: clean
	rm -f VERSION
	echo "This is version ${VERSION} and was made by $$LOGNAME@`hostname` on" > VERSION
	date >> VERSION
	echo untarit > /tmp/tkgnpkg.exclude
	dir=`pwd | sed -e "s:.*/::g"`; \
	fil=$$dir.tar.gz; \
	rm -f $$fil; \
	rm -rf _tbin _tlib $$dir.zip; \
	cd ..; \
	tar -cvf - -X /tmp/tkgnpkg.exclude $$dir | gzip -9c > $$fil; \
	rm -rf /tmp/tkgnpkg.exclude; \
	mv $$fil $$dir; \
	cd $$dir; \
	zip -rl9 $$dir.zip * -x *.gz untarit; \
	ls  -l $$fil $$dir.zip

sed_check:
	(cd $(T_BIN); fgrep usr *) >/tmp/cfg_check.bin
	(cd $(T_LIB); fgrep usr *) >/tmp/cfg_check.lib
	more /tmp/cfg_check.bin /tmp/cfg_check.lib

#
# do not use these rules !!! these are for tkgnats development only !!
#
__all:
	make 'SUBMITTER=calgary' 'GNATS_ADDR=bugs' all
__check:
	make 'SUBMITTER=calgary' 'GNATS_ADDR=bugs' check_cfg
__install:
	make 'SUBMITTER=calgary' 'GNATS_ADDR=bugs' install

=== debian/changelog ===
gnats (4.1.0-3) unstable; urgency=medium

  * QA upload.
  * Pass "-s /bin/sh" to "su gnats" to cope with the change of the gnats
    user's shell in base-passwd 3.5.30.
  * Remove config.guess and config.sub from Debian patches, and instead
    build-depend on autotools-dev to ensure that cdbs will update them.
  * Use dh-autoreconf to update configure scripts, rather than a gigantic
    manual patch.
  * Split what remained of debian/patches/debian-changes into separate
    patches with proper DEP-3 headers.
  * Pacify "gcc -Wformat-security" in process_format.
  * Debconf translations:
    - French (thanks, Christian Perrier; closes: #718198).
    - Italian (thanks, Beatrice Torracca; closes: #719803).

 -- Colin Watson <cjwatson@debian.org>  Thu, 09 Jan 2014 13:44:48 +0000

gnats (4.1.0-2) unstable; urgency=low

  * QA upload
  * Modernize package:
    - Use 3.0 source format
    - Bump debhelper compatibility to 8
    - No leading article in package description
    - Drop antique directory transition handling in
      preinst. This allows dropping two awfully worded
      debconf templates. Yay.
    - Drop antique upgrade debconf note for v3->v4. Yay (bis).
    - Turn gnats/user_multiple debconnf note into an error
    - I was that close to remove the stupid debconf notes in
      this package. Note to self: do it for next QA upload.
  * Debconf translations:
    - Danish (Joe Hansen).  Closes: #628232

 -- Christian Perrier <bubulle@debian.org>  Sun, 01 Jan 2012 15:31:21 +0100

gnats (4.1.0-1) unstable; urgency=low

  * QA upload
  * Run "autoreconf -vfi" to fix compilation on GNU/kFreeBSD, thanks to
    Cyril Brulebois for the patch (closes:  #558207).
  * Applied to the file gnats/gnatsd.c the diff between gnats upstream cvs
    versions 1.51 and 1.52. This should make it safe for ipv6 addresses.
    Thanks to Jonathan Guthrie for the patch (closes: #366890).
  * Install manual and FAQ into the gnats package by doc-base, using
    doc-base files submitted by Esteban Manchado Velázquez (thanks!), but
    setting section to "Project Management". Remove direct dhelp stuff in
    postinst and debian/rules. (closes: #484001)
  * Installation of info documents:
    - depend on dpkg (>= 1.15.4) | install-info
    - remove explicit invocation of install-info from postint

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Feb 2010 21:34:41 +0100

gnats (4.1.0-0.7) unstable; urgency=high

  * Non-maintainer upload.
  * Orphaned package by setting maintainer to Debian QA, closes: #566491

 -- Michael Meskes <meskes@debian.org>  Sun, 24 Jan 2010 11:52:11 +0100

gnats (4.1.0-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * Removed bashism from script. Closes: #535874
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 23 Jan 2010 15:02:14 +0100

gnats (4.1.0-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * Changed build dependency from bison-1.35 to bison. Closes: #486813
  * Added some missing ";" to getdate.y. Also added regenerated getdate.c file
    so bison is not needed for this file during build process as usual.
  * Pre-depend on debconf which is used in preinst.
  * Moved purging action in gnats-user to postrm.
  * Check for option "remove" in prerm, not for "purge".
  * Remove gnatsd.user_access link on package removal.
  * Remove gnats database on package purge. All in all this closes: #454940
  * Removed empty directories from packages.
  * Bumped Standards-Version to 3.8.0, no additional changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Jul 2008 18:33:53 +0200

gnats (4.1.0-0.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations
    - Spanish. Closes: #423686
    - Dutch. Closes: #436868
    - Finnish. Closes: #480549
    - Basque. Closes: #481324
    - Galician. Closes: #481532
  * [Lintian] Use Homepage field in debian/control
  * [Lintian] gnats Pre-Depends on debconf as it uses it in its preinst
    script
  * [Lintian] Use more up-to-date config.{guess|sub} files (from
    autotools-dev. This should be done more cleanly than just copying the
    files over those provided by upstream but requires too
    many build changes.

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 May 2008 10:03:31 +0200

gnats (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload
  * Fix unconditional use of update-inetd in gnats.postrm script,
    because update-inetd is not essential (Closes: #431526)
  * Change dependency from netbase to update-inetd, because
    update-inetd was moved into a seperate package (Closes: #43532)

 -- Steffen Joeris <white@debian.org>  Sat, 04 Aug 2007 19:24:09 +1000

gnats (4.1.0-0.2) unstable; urgency=high

  * Non-maintainer upload during BSP
  * Fix unconditional use of debconf in postrm scripts (Closes: #416754)
   - Add a check in gnats.postrm.in
   - Remove the manual debconf calls from gnats-user.postrm.in as they
     are added by debhelper automatically

 -- Steffen Joeris <white@debian.org>  Fri, 18 May 2007 22:35:36 +1000

gnats (4.1.0-0.1) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n and debconf issues
  * Depend on debconf | debconf-2.0. Closes: #331840
  * Fix incorrect hard-formatting in one template. Correct incorrect use
    of an article in that template. Closes: #311807
  * Mark a few strings as non translatable in templates
  * Debconf translations:
    - Vietnamese added. Closes: #311806
    - Japanese added. Closes: #283273
    - Czech added. Closes: #319931
    - Brazilian Portuguese added. Sent during the call for updates of the
      NMU campaign
    - Swedish added. Sent during the call for updates of the NMU campaign
    - Russian added. Sent during the call for updates of the NMU campaign
    - Portuguese added. Sent during the call for updates of the NMU campaign
    - German added. Sent during the call for updates of the NMU campaign


=== debian/control ===
Source: gnats
Section: devel
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8), cdbs (>= 0.4.21), autotools-dev, dh-autoreconf, m4, texinfo, bison, flex
Standards-Version: 3.8.3
Homepage: http://www.gnu.org/software/gnats

Package: gnats-user
Architecture: any
Depends: exim4 | mail-transport-agent, debianutils (>= 1.6), ${misc:Depends}, ${shlibs:Depends}, adduser
Suggests: gnatsweb
Description: problem report management system - client tools
 GNATS is a bug-tracking tool designed for use at a central "Support
 Site".  Users who experience problems use electronic mail to
 communicate these problems to "maintainers" at that Support Site.
 .
 GNATS offers many of the same features offered by more generalized
 databases, including editing, querying, and basic reporting.  You can
 access the submitting, editing, and querying functions of GNATS
 through provided utilities or from within GNU Emacs.
 .
 The "gnats-user" package has just the user tools for client machines.
 For the full installation and the central database server use the
 "gnats" package.
 .
 If you prefer not to use either an nfs-mounted database or the client/server
 model, it is possible to make a distribution that works entirely over e-mail.
 For more information, see gnats-info and type 'g' (for goto) followed by
 'mkdist'.  This package is not necessary for email-only setups.

Package: gnats
Architecture: any
Depends: gnats-user (>= 4.0-4), exim4 | mail-transport-agent, debianutils (>= 1.6), ${shlibs:Depends}, adduser, update-inetd, dpkg (>= 1.15.4) | install-info
Pre-Depends: debconf, ${misc:Depends}
Suggests: gnatsweb
Description: problem report management system - central database
 GNATS is a bug-tracking tool designed for use at a central "Support
 Site".  Users who experience problems use electronic mail to
 communicate these problems to "maintainers" at that Support Site.
 .
 GNATS offers many of the same features offered by more generalized
 databases, including editing, querying, and basic reporting.  You can
 access the submitting, editing, and querying functions of GNATS
 through provided utilities or from within GNU Emacs.
 .
 The "gnats" package has the full installation for the central database
 server.  For client systems, use the "gnats-user" package which has just
 the user tools.

=== debian/rules ===
#!/usr/bin/make -f
# NAME
#   debian/rules -- Debian build rules for GNATS
#
# DESCRIPTION
#   This Makefile uses the CDBS makefiles to wrap the common package building
#   steps necessary to make the gnats binary packages.
# 
# COPYRIGHT
#   Copyright (c) 2004 Chad Walstrom <chewie@debian.org>
#
# LICENSE
#   This program is free software; you can redistribute it and/or modify it
#   under the terms of the GNU General Public License as published by the Free
#   Software Foundation; either version 2, or (at your option) any later
#   version.
#
#   This program is distributed in the hope that it will be useful, but WITHOUT
#   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#   more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc., 59
#   Temple Place, Suite 330, Boston, MA 02111-1307 USA.
#   
################################################################################
#DH_VERBOSE=1

# Previous versions of gnats had problems with gcc optimized
#DEB_BUILD_OPTIONS = noopt

################################################################################
# CDBS Includes
################################################################################
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

# Bison override
YACC = bison
INSTALL = install
INSTALL_INFO = /bin/true

# VARIABLES
DATADIR := $(DEB_CONFIGURE_LOCALSTATEDIR)/lib/gnats
HOMEDIR := $(DATADIR)
DBDIR   := $(DATADIR)/gnats-db
LISPDIR := /usr/share/emacs/site-lisp/gnats
CONFDIR := $(DEB_CONFIGURE_SYSCONFDIR)/gnats
USER_ACCESS_FILE := $(CONFDIR)/gnatsd.user_access
HOST_ACCESS_FILE := $(CONFDIR)/gnatsd.host_access
GNATS_DATABASES := $(CONFDIR)/databases

DEB_MAKE_ENVVARS += DEFAULT_SITE=unknown-site \
	GNATS_SITE=unknown-site \
	GNATS_ADMIN=gnats-admin \
	GNATS_ADDR=unknown-addr \
	DEFAULT_ORGANIZATION=unknown-org \
	SUBMITTER=unknown-org \
	GNATS_USER=gnats \
	CHECK_CFG=no

DEB_DH_AUTORECONF_ARGS := debian/rules -- autoreconf

DEB_CONFIGURE_SCRIPT_ENV += SENDMAIL=/usr/sbin/sendmail

# Gnats already installs libexec binaries in a "gnats" subdirectory
DEB_CONFIGURE_LIBEXECDIR = "\$${prefix}/lib"
DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-gnats-root='$(DBDIR)' \
	--with-gnats-service=gnats \
	--with-gnats-default-db=$(DBDIR) \
	--with-gnatsd-user-access-file=$(USER_ACCESS_FILE) \
	--with-gnatsd-host-access-file=$(HOST_ACCESS_FILE) \
	--with-gnats-dblist-file=$(GNATS_DATABASES) \
	--with-lispdir=$(LISPDIR)

DEB_INSTALL_DIRS_ALL = usr/bin usr/sbin usr/lib/gnats etc/gnats/defaults \
	usr/share/man/man1 usr/share/man/man5 usr/share/man/man7 \
	usr/share/man/man8 usr/share/lintian/overrides

DEB_INSTALL_DIRS_gnats_user = usr/share/emacs/site-lisp/gnats
DEB_INSTALL_DIRS_gnats = var/lib/gnats var/lib/gnats/gnats-db \
	usr/share/doc/gnats/gnats etc/gnats/db-config etc/xinetd.d
DEB_INSTALL_EXAMPLES_gnats = -X.arch-ids -X.cvsignore

# Don't edit the {post,pre}{inst,rm} scripts
DEB_INSTALL_INFO_gnats = -n


autoreconf:
	autoreconf -fi
	cd doc && autoreconf -fi
	cd gnats && autoreconf -fi
	cd send-pr && autoreconf -fi

debscripts_tmpl := $(wildcard debian/*.in)
debscripts := $(patsubst %.in,%,$(debscripts_tmpl))
common-configure-arch:: $(debscripts)
$(debscripts):
	@echo "Build debian script $@"
	sed -f debian/common.sed < $@.in > $@

common-install-prehook-arch::
	@echo "dh_installdirs doesn't install in the staging area"
	-for d in $(DEB_INSTALL_DIRS_ALL) ; do \
		mkdir -p debian/tmp/$$d ; \
	done
	@echo "Building HTML documentation"
	-cd doc ; \
		for i in gnats.texi gnats-faq.texi ; do \
			$(MAKEINFO) --number-sections --html $$i ; \
		done

install/gnats::
	$(INSTALL) -m644 debian/user/profile debian/gnats/var/lib/gnats/.profile
	$(INSTALL) -m444 debian/overrides.gnats debian/gnats/usr/share/lintian/overrides/gnats
	$(INSTALL) -m 444 debian/gnats.xinetd debian/gnats/etc/xinetd.d/gnats
	rmdir debian/gnats/usr/share/man/man1/ debian/gnats/usr/share/man/man7/ debian/gnats/usr/bin/ debian/gnats/usr/sbin/

binary-predeb/gnats::
	rm debian/gnats/usr/share/doc/gnats/examples/tkgnats/COPYING.gz
	chmod 0644 debian/gnats/usr/share/doc/gnats/examples/juniper-web-reports/index.html
	dh_strip

install/gnats-user::
	$(INSTALL) -m644 debian/misc/send-pr.conf debian/gnats-user/etc/gnats
	$(INSTALL) -m444 debian/overrides.gnats-user \
		debian/gnats-user/usr/share/lintian/overrides/gnats-user
	rmdir debian/gnats-user/usr/sbin/

clean::
	-rm -f $(debscripts)
	-rm -rf doc/gnats doc/gnats-faq doc/*.info
